**Title: Open Research Calendar**

*authors:* 

Cassandra Gould van Praag (@cassgvp), University of Oxford

Bradley Kennedy (@bradpsych), University of Chester

Alexandra Lautarescu (@AleLautarescu), King’s College London

Esther Plomp (@PhDToothFAIRy), Delft University of Technology


In a world affected by the COVID-19 crisis where online workshops, seminars, and conferences are increasingly hosted online and can be attended with the click of a button, keeping track of events is becoming more difficult. 
A community-powered shared calendar, the Open Research Calendar, can enable interested users to keep track of open research events. 
This calendar can help researchers find workshops, conferences and seminars on open research without an effortful search, and minimise the need for scattered manual updates via community-powered automated communication. 
The Open Research Calendar provides event organisers with an easy solution to promote their event, reaching a larger audience through this central advertisement portal than they could using traditional channels of event promotion such as newsletters, blogs and websites. 
The Open Research Calendar project addresses these issues through a community Google calendar, which can be synced into a person’s own personal calendar and is automatically updated as new events are added. 
Events can be added by anyone through entering the key information into a short Google form. 
This information generates an automated Tweet from the Twitter account (@OpenResearchCal) to notify followers of the calendar about the new event. 
The more than 500 followers of the calendar indicate that there is a real need for this tool. 
The current aims of the project are to increase awareness and encourage submission of events. 
The code and documentation for the calendar is open source and shared with a GNU 3.0 license, so we invite groups to recreate the automation and communication features for their own communities. 
We welcome contributions to the technical development of the calendar via our public GitHub repository (https://github.com/openresearchcalendar/).

Relevance / Link to RDA: *
The Open Research Calendar contributes to RDA's mission (building social and technical bridges to enable open sharing of data) by increasing the awareness of events that promote open science practices such as the sharing of data. 
The Open Research Calendar includes events on open research practices across disciplines and country borders, facilitating multi disciplinary interactions that may address the grand challenges of society. 

