---
redirect_from: "/Open-Research-Calendar/"
---
Hi there! :wave: Welcome to the information page of Open Research Calendar. Below you can read a bit more about our automated :robot: open-source community tool.  

<p><img style="display: block; margin-left: auto; margin-right: auto;" src="https://raw.githubusercontent.com/openresearchcalendar/openresearchcalendar.github.io/master/Documents/Images/logo_wide-cropped.png" alt="" width="360" height="110" /></p>

<hr />

<h1 style="text-align: center;"><strong>Overview</strong></h1>

“Open Research Calendar ([@openresearchcal](https://twitter.com/OpenResearchCal))” was created as a community tool by a few of the attendees of the ‘Advanced Methods in Reproducible Science’ workshop which was organised by the University of Bristol (also known on Twitter as [#Repro2020](https://twitter.com/search?q=%23Repro2020)). The idea was initially generated by attendees of #Repro2019. The tool was designed, created and beta-tested in January of 2020 and then officially launched in February 2020. :tada:

The tool was created to serve the open research community in collating worldwide :earth_africa: open research events into one database. This translates onto a [Google Calendar](http://bit.ly/vieworc) :calendar: ([iCal Link](https://calendar.google.com/calendar/ical/openresearchcalendar%40gmail.com/public/basic.ics)) which can be synced into a person's own personal calendar (updating as new events get added). You are advised to review information about calendared events carefully and use your best judgement before committing to attendance or entering into a transaction.

:warning: We ultimately take no responsibility for the content or administration of any events which appear in the calendar.

<h2><strong>Contributors and Contributions</strong></h2>  

Follows the [CRediT (Contributor Roles Taxonomy)](https://www.elsevier.com/authors/journal-authors/policies-and-ethics/credit-author-statement)

Cassandra D Gould van Praag ([twitter: @cassgvp](https://twitter.com/cassgvp))  
Bradley J Kennedy ([twitter: @bradpsych](https://twitter.com/bradpsych))  
Alexandra Lautarescu ([twitter: @AleLautarescu](https://twitter.com/AleLautarescu))  
Esther Plomp ([twitter: @PhDToothFAIRy](https://twitter.com/PhDToothFAIRy))  

- **Conceptualization**: Cassandra D. Gould van Praag, Bradley J. Kennedy, Alexandra Lautarescu and Esther Plomp.
- **Data Curation**: Bradley J. Kennedy.
- **Funding Acquisition**: Cassandra D. Gould van Praag, Bradley J. Kennedy and Esther Plomp.
- **Methodology**: Cassandra D. Gould van Praag and Bradley J. Kennedy.
- **Project Administration**: Cassandra D. Gould van Praag, Bradley J. Kennedy, Alexandra Lautarescu and Esther Plomp.
- **Resources**: Cassandra D. Gould van Praag, Bradley J. Kennedy and Esther Plomp.
- **Software**: Cassandra D. Gould van Praag and Bradley J. Kennedy.
- **Visualization**: Cassandra D. Gould van Praag, Bradley J. Kennedy and Esther Plomp.
- **Writing - Original Draft Preparation**: Cassandra D. Gould van Praag, Bradley J. Kennedy and Esther Plomp.
- **Writing - Review & Editing**: Cassandra D. Gould van Praag, Bradley J. Kennedy, Alexandra Lautarescu and Esther Plomp.


<h1 style="text-align: center;"><strong>Reporting Events</strong></h1>

As a community tool, we trust the community to use it appropriately. However, all operations of this tool are automated to expedite communication and this makes the tool vulnerable to spam or predatory events. We request that the events added are community policed :oncoming_police_car:. In that, if anything is seen to be wrong/ duplicated/ offensive/ inappropriate, we expect the community to report the event :pencil2: (using the [report link](http://bit.ly/reportorc) in our Twitter bio).  

Please note that the admins volunteer their time for this tool and as such, the response time may be delayed. :clock2:

<h1 style="text-align: center;"><strong>Bug Reports & Feature Requests</strong></h1>

:bug: Bug Reports and :bulb: Feature Requests can be made [here](https://github.com/openresearchcalendar/Open-Research-Calendar/issues/new/choose)  

<h1 style="text-align: center;"><strong>Data Use</strong></h1>

The data collected as part of this tool is stored securely in a Google Drive.  
*No personally identifiable information is collected.*

Privacy policy for the relevant services:  

[Google](https://policies.google.com/privacy) | [Twitter](https://twitter.com/en/privacy) | [Integromat](https://support.integromat.com/hc/en-us/articles/360001988174)  
